---
lang: en
title: 'API docs: repository.keyvaluerepository.set'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.keyvaluerepository.set.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [KeyValueRepository](./repository.keyvaluerepository.md) &gt; [set](./repository.keyvaluerepository.set.md)

## KeyValueRepository.set() method

Set an entry with key/value

<b>Signature:</b>

```typescript
set(key: string, value: DataObject<T>, options?: Options): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>string</code> | Key for the entry |
|  value | <code>DataObject&lt;T&gt;</code> | Value for the entry |
|  options | <code>Options</code> | Options for the operation |

<b>Returns:</b>

`Promise<void>`


